# Copyright (C) 2010 Alexandre Garino
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

require 'redmine'
require 'dispatcher'
require 'redmine_scrum_roi'

Dispatcher.to_prepare :redmine_scrum_roi do
  require_dependency 'issue'
  unless Issue.included_modules.include? RedmineScrumROI::Compute
    Issue.send(:include, RedmineScrumROI::Compute)
  end
end

Redmine::Plugin.register :redmine_scrum_roi do
  name 'Scrum ROI plugin'
  author 'Alexandre Garino'
  author_url 'http://fr.garino.org/'
  url 'http://www.odaceo.com'
  description 'Compute ROI (Return On Investment) for each Issue based on Business Value and Story Point (ROI = BV / SP).'
  version '0.0.1'

  requires_redmine :version_or_higher => '0.9.0'

  settings(:partial => 'settings/scrum_roi_settings',
           :default => {
             'business_value_custom_field' => '',
             'story_point_custom_field' => '',
             'roi_custom_field' => ''
           })

end
